/**
 * OW2 Util
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: BeanRegisterEvent.java 4389 2008-12-15 13:48:57Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.util.ee.event.types;

import javax.ejb.EJBObject;

/**
 * Event thrown on bean registration.
 * @author eyindanga
 */
public class BeanRegisterEvent extends AbstractEvent {
    /**
     * The Jndi name
     */
    String jndiName = null;
    /**
     * The cluster Configuration
     */
    Object clusterConfig = null;
    /**
     * the home class
     */
    Class<?> homeClass = null;

    /**
     * The remote class
     */
    Class<? extends EJBObject> remoteClass = null;

    /**
     * The class loader
     */
    ClassLoader classLoader = null;

    /**
     * true if is stateful.
     */
    boolean stateful = false;

    /**
     * true if is replicated
     */
    boolean clusterReplicated = false;

    /**
     *
     */
    public BeanRegisterEvent(final String source) {
        // TODO Auto-generated constructor stub
        super(source);
    }
    /**
     * @return the jndiName
     */
    public String getJndiName() {
        return jndiName;
    }
    /**
     * @param jndiName the jndiName to set
     */
    public void setJndiName(final String jndiName) {
        this.jndiName = jndiName;
    }
    /**
     * @return the clusterConfig
     */
    public Object getClusterConfig() {
        return clusterConfig;
    }
    /**
     * @param clusterConfig the clusterConfig to set
     */
    public void setClusterConfig(final Object clusterConfig) {
        this.clusterConfig = clusterConfig;
    }
    /**
     * @return the homeClass
     */
    public Class<?> getHomeClass() {
        return homeClass;
    }
    /**
     * @param homeClass the homeClass to set
     */
    public void setHomeClass(final Class<?> homeClass) {
        this.homeClass = homeClass;
    }
    /**
     * @return the remoteClass
     */
    public Class<? extends EJBObject> getRemoteClass() {
        return remoteClass;
    }
    /**
     * @param remoteClass the remoteClass to set
     */
    public void setRemoteClass(final Class<? extends EJBObject> remoteClass) {
        this.remoteClass = remoteClass;
    }
    /**
     * @return the classLoader
     */
    public ClassLoader getClassLoader() {
        return classLoader;
    }
    /**
     * @param classLoader the classLoader to set
     */
    public void setClassLoader(final ClassLoader classLoader) {
        this.classLoader = classLoader;
    }
    /**
     * @return the stateful
     */
    public boolean isStateful() {
        return stateful;
    }
    /**
     * @param stateful the stateful to set
     */
    public void setStateful(final boolean stateful) {
        this.stateful = stateful;
    }
    /**
     * @return the clusterReplicated
     */
    public boolean isClusterReplicated() {
        return clusterReplicated;
    }
    /**
     * @param clusterReplicated the clusterReplicated to set
     */
    public void setClusterReplicated(final boolean clusterReplicated) {
        this.clusterReplicated = clusterReplicated;
    }
}
